


F = ma

a = F/m

v = int a + v0

s = int v + s0

%%%

F = k(t)
a = k(t)/m
v = int(k(t)/m) + v0
s = int(int(k(t)/m) + v0) + s0

hvis

dt = 0.001 % sec

blir iterativt:

F = k_                          : t1 < t < t1+dt
a = k_/m                        : t1 < t < t1+dt
v = t*k_/m + v0                 : t1 < t < t1+dt
s = t*t*0.5*k_/m + t*v0 + s0    : t1 < t < t1+dt

v0 -> v
s0 -> s

%%%%%%%%%%%%%%%%%%%

clear;
T = [0 : 0.001 : 5]';
S = zeros(size(T, 1), 1);
dt = 0.001; % sec
v0 = 0;
s0 = 0;
m = 1;

K_ = sign(sin(20*pi*[1 :size(T, 1)]/size(T, 1)))' ;

k_ = 1;
for n = 1 : size(T, 1)

        %if n > size(T, 1)/2
                k_ = sign(sin(20*pi*n/size(T, 1))) ;
        %end

        t = T(n);

        F = k_;
        a = k_/m;
        v = t*k_/m + v0;
        s = t*t*0.5*k_/m + t*v0 + s0;

        v0 = v;
        s0 = s;
        S(n) = s;
        
end

clf; plot(T, S);

hold on; plot(T, K_*1e5);

%%%%%%%%%%%%




clear;
dt = 0.001; % sec
T = [0 : dt : 5]';
S = zeros(size(T, 1), 1);
v0 = 0;
s0 = 0;
m = 1;

K_ = sign(sin(20*pi*[1 :size(T, 1)]/size(T, 1)))' ;

k_ = 1;
for n = 1 : size(T, 1)

        %if n > size(T, 1)/2
        %k_ = -1;
                k_ = sign(cos(20*pi*n/size(T, 1))) ;
                %k_ = cos(5*pi*n/size(T, 1)) ;
        %end

        F = k_;
        a = k_/m;
        v = dt*k_/m + v0;
        s = dt*dt*0.5*k_/m + dt*v0 + s0;

        v0 = v;
        s0 = s;
        S(n) = s;
        
end
clf; plot(T, S);


hold on

plot(T, T.*T*0.5*k_/m);



 

